Bug 588139 - Nautilus provides empty content when browsing "Network" shortcut
Nautilus provides empty content when browsing "Network" shortcut
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-02 16:28 EDT by Axel
Modified: 2015-03-03 17:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:44:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Verbose result of tcpdump on port 137, 138, 139 and 445, when nautilus try to load the content of "Windows network" (37.12 KB, text/plain)
2010-05-02 16:28 EDT, Axel
no flags Details
smb.conf file, found in /usr/syno/etc/ (809 bytes, text/plain)
2010-05-03 17:22 EDT, Axel
no flags Details

  None (edit)
Description Axel 2010-05-02 16:28:17 EDT
Created attachment 410852 [details]
Verbose result of tcpdump on port 137, 138, 139 and 445, when nautilus try to load the content of "Windows network"

Description of problem:

When browsing the "Network" shortcut, the content panel hold a "Windows network" icon. Double-clicking this icon makes nautilus loading the content a few seconds and then the panel remains empty. No workgroup is display, no remote host is displayed. I have only one host providing SMB/CIFS shares, it s a synology DS-106e device.
This device DOES NOT provides service-announcement through mDNS, upnp, avahi etc and I assume that nautilus can rely on broadcast packets to discover SMB-aware hosts.


Version-Release number of selected component (if applicable):
nautilus-2.30.1-2.fc13.x86_64
nautilus-extensions-2.30.1-2.fc13.x86_64
gnome-vfs2-smb-2.24.3-1.fc13.x86_64
pam_smb-1.1.7-11.fc12.x86_64
libsmbclient-3.5.2-59.fc13.x86_64
fuse-smb-0.8.7-8.fc13.x86_64
gvfs-smb-1.6.1-2.fc13.x86_64
samba-winbind-clients-3.5.2-59.fc13.x86_64
samba-3.5.2-59.fc13.x86_64
samba-common-3.5.2-59.fc13.x86_64
samba-client-3.5.2-59.fc13.x86_64

How reproducible:
Browse the "Network" shortcut in Nautilus. Try to browse through the "Windows network" icon. The panel is empty.

Steps to Reproduce:
1. Open nautilus, browse network
2. Try to browse the "Windows network" icon
3.
  
Actual results:
No workgroup or host is discovered

Expected results:
The available workgroup defined in the Synology DS-106e is displayed, browsing this workgroup should display the DS-106e available shares.

Additional info:
My Windows XP host is able to list the available Workgroup and the Synology without providing the login/password credentials. The login/password is required to browse into the shares.


Using smbtree (in broadcast mode) with NO given username :
failed tcon_X with NT_STATUS_ACCESS_DENIED
failed tcon_X with NT_STATUS_ACCESS_DENIED

Same result when trying to display domains or servers


Using smbtree with a given username, recognized as a valid username by the sharing server :
WORKGROUP
	\\DISKSTATION    		Disk Station
		\\DISKSTATION\ADMIN$         	IPC Service (Disk Station)
		\\DISKSTATION\IPC$           	IPC Service (Disk Station)
		\\DISKSTATION\public         	System default share
		\\DISKSTATION\axel           	axel


SELinux is disabled, firewall (and iptables) is disabled
Comment 1 Tomáš Bžatek 2010-05-03 08:47:14 EDT
gvfsd-smb-browse tries to enumerate machines in your workgroup first. It's possible that smbclient doesn't spawn auth callback when scanning network for machines. Can you please grab output of `GVFS_DEBUG=1 /usr/libexec/gvfsd-smb-browse` and attach it here?

Furthermore, can you please send us smb.conf from the DISKSTATION machine? It would be hard to debug otherwise.
Comment 2 Axel 2010-05-03 17:22:24 EDT
gvfsd-smb-browse (as executed following your instruction) gives no output. When run, it just waits and never finishes. The --help argument doesn't help me to guess the needed arguments.

The smb.conf file is attached. Please remind that this device is a Synology NAS, with the latest version of the firmware available for this model, so I cannot upgrade any package or even modify the configuration files, since those files are generated through the Web interface. (though I can access the device through SSH and browse the whole filesystem)

Anyway, the samba version seems to be 3.0.20b
Comment 3 Axel 2010-05-03 17:22:56 EDT
Created attachment 411133 [details]
smb.conf file, found in /usr/syno/etc/
Comment 4 Bug Zapper 2011-06-02 10:35:05 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Axel 2011-06-02 16:55:51 EDT
Still occurs on Fedora 14. (Not yet checked against Fedora 15)
When trying to launch GVFS_DEBUG=1 /usr/libexec/gvfsd-smb-browse as advised in the comment, the command hangs without giving any output.
Comment 6 Fedora End Of Life 2012-08-16 16:44:43 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.